org.apache.http.impl.io

## Class DefaultHttpResponseParser

- java.lang.Object
- - org.apache.http.impl.io.AbstractMessageParser<HttpResponse>
  - - org.apache.http.impl.io.DefaultHttpResponseParser

- All Implemented Interfaces:
    HttpMessageParser<HttpResponse>

      @NotThreadSafe
      public class DefaultHttpResponseParser
      extends AbstractMessageParser<HttpResponse>

  HTTP response parser that obtain its input from an instance of `SessionInputBuffer`.
  Since:
    4.2

- - ### Field Summary

    - ### Fields inherited from class org.apache.http.impl.io.AbstractMessageParser

      `lineParser`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultHttpResponseParser(SessionInputBuffer buffer)`
    `DefaultHttpResponseParser(SessionInputBuffer buffer, LineParser lineParser, HttpResponseFactory responseFactory, HttpParams params)` Deprecated. (4.3) use `DefaultHttpResponseParser(SessionInputBuffer, LineParser, HttpResponseFactory, MessageConstraints)`
    `DefaultHttpResponseParser(SessionInputBuffer buffer, LineParser lineParser, HttpResponseFactory responseFactory, MessageConstraints constraints)` Creates new instance of DefaultHttpResponseParser.
    `DefaultHttpResponseParser(SessionInputBuffer buffer, MessageConstraints constraints)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected HttpResponse` | `parseHead(SessionInputBuffer sessionBuffer)` Subclasses must override this method to generate an instance of `HttpMessage` based on the initial input from the session buffer.

    - ### Methods inherited from class org.apache.http.impl.io.AbstractMessageParser

      `parse, parseHeaders, parseHeaders`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultHttpResponseParser

          @Deprecated
          public DefaultHttpResponseParser(SessionInputBuffer buffer,
                                              LineParser lineParser,
                                              HttpResponseFactory responseFactory,
                                              HttpParams params)

      Deprecated. (4.3) use `DefaultHttpResponseParser(SessionInputBuffer, LineParser, HttpResponseFactory, MessageConstraints)`
      Creates an instance of this class.
      Parameters:
        `buffer` - the session input buffer.
        `lineParser` - the line parser.
        `responseFactory` - the factory to use to create `HttpResponse`s.
        `params` - HTTP parameters.

    - #### DefaultHttpResponseParser

          public DefaultHttpResponseParser(SessionInputBuffer buffer,
                                   LineParser lineParser,
                                   HttpResponseFactory responseFactory,
                                   MessageConstraints constraints)

      Creates new instance of DefaultHttpResponseParser.
      Parameters:
        `buffer` - the session input buffer.
        `lineParser` - the line parser. If `null` `BasicLineParser.INSTANCE` will be used
        `responseFactory` - the response factory. If `null` `DefaultHttpResponseFactory.INSTANCE` will be used.
        `constraints` - the message constraints. If `null` `MessageConstraints.DEFAULT` will be used.
      Since:
        4.3

    - #### DefaultHttpResponseParser

          public DefaultHttpResponseParser(SessionInputBuffer buffer,
                                   MessageConstraints constraints)

      Since:
        4.3

    - #### DefaultHttpResponseParser

          public DefaultHttpResponseParser(SessionInputBuffer buffer)

      Since:
        4.3

  - ### Method Detail

    - #### parseHead

          protected HttpResponse parseHead(SessionInputBuffer sessionBuffer)
                                    throws IOException,
                                           HttpException,
                                           ParseException

      Description copied from class: `AbstractMessageParser`
      Subclasses must override this method to generate an instance of `HttpMessage` based on the initial input from the session buffer.

      Usually this method is expected to read just the very first line or the very first valid from the data stream and based on the input generate an appropriate instance of `HttpMessage`.

      Specified by:
        `parseHead` in class `AbstractMessageParser<HttpResponse>`
      Parameters:
        `sessionBuffer` - the session input buffer.
      Returns:
        HTTP message based on the input from the session buffer.
      Throws:
        `IOException` - in case of an I/O error.
        `HttpException` - in case of HTTP protocol violation.
        `ParseException` - in case of a parse error.

Copyright © 2005–2013 The Apache Software Foundation. All rights reserved.